//****************************************************************************
// @Module        ADC
// @Filename      ADC.H
// @Project       rvs.dav
// @Description   This file contains all function prototypes and macros for
//                the Analog / Digital Converter 
// @Date          10.04.2002 11:49:52

//****************************************************************************
// @Prototypes of global functions
//****************************************************************************

void ADC_vInit(void);
uword ADC_uwReadConv(void);

//****************************************************************************
// @Macros
//****************************************************************************

//****************************************************************************
// @Macro         ADC_vStartConv()
// @Description   This macro starts the A/D conversion.
//                Note:
//                If the converter starts a normal conversion, the channel
//                injection is aborted, and the converter starts in the
//                selected mode. This can be avoided by checking the busy
//                bit (call ADC_bBusy) before starting a new conversion.
// @Date          10.04.2002 11:49:52
//****************************************************************************

#define ADC_vStartConv() ADST = 1

/****************************************************************************
* @Defines                                                                   
****************************************************************************/

#define FIXED 0
#define FIXED_CONTI 1
#define SCAN 2
#define SCAN_CONTI 3

// defines for the parameter Channel
#define ANA0 0
#define ANA1 1
#define ANA2 2
#define ANA3 3
#define ANA4 4
#define ANA5 5
#define ANA6 6
#define ANA7 7
#define ANA8 8
#define ANA9 9
#define ANA10 10
#define ANA11 11
#define ANA12 12
#define ANA13 13
#define ANA14 14
#define ANA15 15
