//****************************************************************************
// @Module        Ports
// @Filename      IO.C
// @Project       rvs.dav
// @Description   This file contains all functions that use the general IO ports
// @Date          10.04.2002 11:49:53

//****************************************************************************
// @Project Includes
//****************************************************************************

#include "MAIN.H"

//****************************************************************************
// @Function      void IO_vInit(void)
// @Description   This function initializes the IO component. It effects all
//                necessary configurations of the SFR, depending on the selected
//                operating mode.
//                Note:
//                Only those pins that are initialized are used as general IO.
//                If the alternate function of a pin is used, this pin is
//                initialized in the initialization function of the peripheral.
// @Date          10.04.2002 11:49:53
//****************************************************************************

void IO_vInit(void)
{
  /// P8.0 .. P8.7  switch on standard TTL input levels
  /// P7.0 .. P7.7  switch on standard TTL input levels
  /// P3.8 .. P3.15 switch on standard TTL input levels
  /// P3.0 .. P3.7  switch on standard TTL input levels
  /// P2.8 .. P2.15 switch on standard TTL input levels
  /// P2.0 .. P2.7  switch on standard TTL input levels
  _PICON = 0x0000;

  //  initializes port 2
  /// P2.0 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin is configured to push/pull mode
  /// -  the pin status is low level
  /// P2.1 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin is configured to push/pull mode
  /// -  the pin status is low level
  /// P2.2 is used as general IO
  /// -  the pin is configured as output
  /// -  the pin is configured to push/pull mode
  /// -  the pin status is low level
  /// P2.3 is used as general IO
  /// -  the pin is configured as input
  P2   = 0x0000;      // set port data register
  ODP2 = 0x0000;      // set port open drain control register
  DP2  = 0x0007;      // set port direction register

  /// P5.0 is used as general input
}
